List notes in a folder by id (metadata only)
GET
/folders/by-id/{id}/notes
const url = 'https://api.engram.page/folders/by-id/example/notes';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.engram.page/folders/by-id/example/notes \ --header 'Authorization: Bearer <token>'Returns metadata (no content) for the notes in the folder identified by its marker UUID. Returns 400 for a malformed UUID and 404 when no such folder exists.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Folder UUID
Responses
Section titled “Responses”Folder notes
Media typeapplication/json
FolderNotesResponse
object
notes
required
Array<object>
NoteMetaobject
content_hash
string
folder
string
id
string format: uuid
mtime
number format: float
parse_reason
Present when parse_status is “degraded”: {code, message, detail}
object
parse_status
Frontmatter parse outcome
string
path
required
string
tags
Array<string>
title
string
updated_at
string format: date-time
version
integer
Example
{ "notes": [ { "parse_status": "ok" } ]}Invalid UUID
No such folder